Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.endeca.portal.liferay
Class LiferayUtils

    java.lang.Object
      com.endeca.portal.liferay.LiferayUtils

    public class LiferayUtils

extends java.lang.Object

Constructor Summary
`LiferayUtils()`

Method Summary
`static java.lang.String` | `getDefaultLocale()` Returns the default locale for the container.
`static java.lang.String` | `getPortalContext()`
`static java.lang.String` | `getRequestLocale(javax.portlet.PortletRequest request)` Returns the locale to be used for the current request.
`static boolean` | `hasPrivilege(javax.portlet.PortletRequest request, java.lang.String privilege)`
`static boolean` | `hasUpdatePrivileges(javax.portlet.PortletRequest request)`
`static boolean` | `hasViewPrivileges(javax.portlet.PortletRequest request)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LiferayUtils

    public LiferayUtils()

Method Detail

### getPortalContext

    public static java.lang.String getPortalContext()

### hasPrivilege

    public static boolean hasPrivilege(javax.portlet.PortletRequest request,
                                       java.lang.String privilege)

### hasUpdatePrivileges

    public static boolean hasUpdatePrivileges(javax.portlet.PortletRequest request)

### hasViewPrivileges

    public static boolean hasViewPrivileges(javax.portlet.PortletRequest request)

### getDefaultLocale

    public static java.lang.String getDefaultLocale()

  Returns the default locale for the container.

  Returns:
    the locale

### getRequestLocale

    public static java.lang.String getRequestLocale(javax.portlet.PortletRequest request)

  Returns the locale to be used for the current request.

  Parameters:
    `request` - the request
  Returns:
    the locale

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD